package prt2.breakthrough;

public class Coordinate implements Cloneable{

    public int x;
    public int y;

    public Coordinate(int newX, int newY) {
        x = newX;
        y = newY;
    }

    public boolean equals(Coordinate other) {
        if (other == null){
            return false;
        }
        if (x == other.x && y == other.y) {
            return true;
        }
        return false;
    }

    @Override
    protected Coordinate clone(){
        return new Coordinate(x, y);
    }
}